Ionic Framework Installation Error

Hello,
I am trying to install Ionic in my windows 7 pc.
I have done installation of following Dependencies
Node version v0.12.0, Cordova CLI, Ionic CLI version 1.7.14, Ionic app library version 0.7.0. But once i enter command

npm start myapp blank
It gives error cannot find ‘xmlbuilder’

Your System Information

Node version v0.12.0
Cordova CLI 'not Installed’
Ionic CLI version 1.7.14
Ionic app library version 0.7.0.
and then when i enter command npm install xmlbuilder it again gives error for some another cannot find ‘…’

Your System Information

Node version v0.12.0
Cordova CLI 'not Installed’
Ionic CLI version 1.7.14
Ionic app library version 0.7.0.

I thought Cordova CLI not installed properly so i again installed it by entering command

npm clean cache
npm install -g cordova

it gives error npm warn deprecated npmconf@2.1.2: this package has been reintegrated into npm and is now out of date with respect to npm
plz help me

did you try to upgrade npm?

I have this issue too, after upgrading to ionic CLI 1.7.14. I’m on Node 0.12 as well but I’m not in a position to upgrade currently.

What you can do is downgrade ionic CLI to v 1.7.13 and this issue should go away for you. Something like:
npm install -g ionic@1.7.13 will achieve it.

Nathan

1 Like